Bug 1031285 - [abrt] audex-0.77b1-0.sl.fc19: __gmpz_clear: Process /usr/bin/audex was killed by signal 11 (SIGSEGV)
[abrt] audex-0.77b1-0.sl.fc19: __gmpz_clear: Process /usr/bin/audex was kille...
Status: CLOSED DUPLICATE of bug 1029394
Product: Fedora
Classification: Fedora
Component: libmusicbrainz5 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0caeeef7c207abffbff693e0982...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-16 05:55 EST by Simon Lewis
Modified: 2013-11-20 09:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 09:37:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.69 KB, text/plain)
2013-11-16 05:55 EST, Simon Lewis
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-16 05:55 EST, Simon Lewis
no flags Details
File: core_backtrace (15.42 KB, text/plain)
2013-11-16 05:55 EST, Simon Lewis
no flags Details
File: dso_list (21.72 KB, text/plain)
2013-11-16 05:56 EST, Simon Lewis
no flags Details
File: environ (3.81 KB, text/plain)
2013-11-16 05:56 EST, Simon Lewis
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-16 05:56 EST, Simon Lewis
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-16 05:56 EST, Simon Lewis
no flags Details
File: maps (103.22 KB, text/plain)
2013-11-16 05:56 EST, Simon Lewis
no flags Details
File: open_fds (1.57 KB, text/plain)
2013-11-16 05:56 EST, Simon Lewis
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-11-16 05:56 EST, Simon Lewis
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 327857 None None None Never

  None (edit)
Description Simon Lewis 2013-11-16 05:55:44 EST
Description of problem:
Automatic look-up of cddb database, track titles and cover picture are shown. program crashs before dialog to accept shown entries is displayed.

Version-Release number of selected component:
audex-0.77b1-0.sl.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        audex --nocrashhandler
crash_function: __gmpz_clear
executable:     /usr/bin/audex
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Nov 16 11:21:07 localhost abrt-hook-ccpp[1810]: Saved core dump of pid 1725 (/usr/bin/audex) to /var/tmp/abrt/ccpp-2013-11-16-11:21:04-1725 (47374336 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __gmpz_clear at ../../mpz/clear.c:28
 #1 mp_clear_multi at multi.c:38
 #2 ecc_del_point at ecc_points.c:62
 #3 _ecc_wmnaf_cache_entry_free at ecc_mulmod_cached.c:55
 #4 ecc_wmnaf_cache_free at ecc_mulmod_cached.c:70
 #5 gnutls_crypto_deinit at init.c:44
 #6 gnutls_global_deinit at gnutls_global.c:304
 #7 MusicBrainz5::CHTTPFetch::Fetch at /usr/src/debug/libmusicbrainz-5.0.1/src/HTTPFetch.cc:232
 #8 MusicBrainz5::CQuery::PerformQuery at /usr/src/debug/libmusicbrainz-5.0.1/src/Query.cc:145
 #9 MusicBrainz5::CQuery::Query at /usr/src/debug/libmusicbrainz-5.0.1/src/Query.cc:253
Comment 1 Simon Lewis 2013-11-16 05:55:52 EST
Created attachment 824880 [details]
File: backtrace
Comment 2 Simon Lewis 2013-11-16 05:55:55 EST
Created attachment 824881 [details]
File: cgroup
Comment 3 Simon Lewis 2013-11-16 05:55:59 EST
Created attachment 824882 [details]
File: core_backtrace
Comment 4 Simon Lewis 2013-11-16 05:56:02 EST
Created attachment 824883 [details]
File: dso_list
Comment 5 Simon Lewis 2013-11-16 05:56:05 EST
Created attachment 824884 [details]
File: environ
Comment 6 Simon Lewis 2013-11-16 05:56:08 EST
Created attachment 824885 [details]
File: exploitable
Comment 7 Simon Lewis 2013-11-16 05:56:11 EST
Created attachment 824886 [details]
File: limits
Comment 8 Simon Lewis 2013-11-16 05:56:16 EST
Created attachment 824887 [details]
File: maps
Comment 9 Simon Lewis 2013-11-16 05:56:19 EST
Created attachment 824888 [details]
File: open_fds
Comment 10 Simon Lewis 2013-11-16 05:56:22 EST
Created attachment 824889 [details]
File: proc_pid_status
Comment 11 Roland Wolters 2013-11-18 04:52:48 EST
Dear Simon,

thanks for your report. Is the problem reproducable, does it always crash before the accept dialog is shown?

Cheers,
Roland
Comment 12 Simon Lewis 2013-11-19 14:05:21 EST
(In reply to Roland Wolters from comment #11)
> Dear Simon,
> 
> thanks for your report. Is the problem reproducable, does it always crash
> before the accept dialog is shown?
> 
> Cheers,
> Roland

Fault always occurs when in > settings dialogue > CDDB settings tab > both activate MusicBrainz and Freedb are checked.

Deactivating the 2 look-up options prevents the crash - the tracks titles are still fetched OK.
Comment 13 Roland Wolters 2013-11-20 05:01:06 EST
I've filled a bug report upstream and also informed the developer personally.
Comment 14 Rex Dieter 2013-11-20 09:35:01 EST
Looks like an underlying libmusicbrainz5 (or gnutls/gmp) issue, reassigning.
Comment 15 Christophe Fergeau 2013-11-20 09:37:45 EST

*** This bug has been marked as a duplicate of bug 1029394 ***

Note You need to log in before you can comment on or make changes to this bug.